Bug 1681619 - [RFE] Disable the option to enter a MAC address after selecting a compute resource while creating new hosts through Satellite
Summary: [RFE] Disable the option to enter a MAC address after selecting a compute res...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.4
Hardware: x86_64
OS: Linux
high
low
Target Milestone: 6.8.0
Assignee: Dominik Matoulek
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 17:07 UTC by Mihir Lele
Modified: 2023-09-14 05:24 UTC (History)
8 users (show)

Fixed In Version: foreman-2.1.2.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:58:15 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28754 0 High Closed Disable the option to enter a MAC address after selecting a compute resource while creating new hosts through Satellite 2020-10-28 17:16:00 UTC
Foreman Issue Tracker 30627 0 Normal Closed Add error message when mac address is provided by CR and it's set 2020-10-28 17:16:15 UTC
Foreman Issue Tracker 30822 0 Normal Closed MAC address field is active when creating host with set by hostgroup compute resource 2020-10-28 17:16:00 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:58:34 UTC

Description Mihir Lele 2019-02-25 17:07:05 UTC
Description of problem:

Disable the option to enter a MAC address after selecting a compute resource while creating new hosts through Satellite, as it's not possible to provision hosts with particular mac address, as per bz https://bugzilla.redhat.com/show_bug.cgi?id=1468274


Version-Release number of selected component (if applicable): 6.4

Additional info:

Comment 3 Dominik Matoulek 2020-01-15 08:49:15 UTC
Created redmine issue https://projects.theforeman.org/issues/28754 from this bug

Comment 4 Bryan Kearney 2020-02-17 11:06:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28754 has been resolved.

Comment 6 Dominik Matoulek 2020-07-07 10:38:09 UTC
Expected behavior for adding VM through CLI should be same as usual. So the MAC is not the same as user specified. I will prepare the PR for Hammer with warning message.

Comment 9 Bryan Kearney 2020-07-28 16:02:40 UTC
Upstream bug assigned to dmatoule

Comment 10 Tomer Brisker 2020-08-20 08:47:11 UTC
Connecting redmine issue https://projects.theforeman.org/issues/30627 from this bug

Comment 13 Roman Plevka 2020-09-09 09:30:02 UTC
FAILED QA
- the MAC address field is still enabled (and required) when creating a host from a hostgroup - if the host inherits from HG's compute resource, the form doesn't disable the MAC field and keeps requiring filling it.

Comment 20 Roman Plevka 2020-09-21 13:25:33 UTC
VERIFIED
on sat6.8.0-16

- the MAC address is only required when applicable.
- the hostgroup inheritance behaviour is fixed
- hammer host create behavior is correct

Comment 23 errata-xmlrpc 2020-10-27 12:58:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366

Comment 24 Red Hat Bugzilla 2023-09-14 05:24:18 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.